patch
https://api.lucid.co/documents//shares/shareLinks/
Updates an existing share link to the provided settings.
- If any settings are omitted, the already existing settings will be used instead.
Share links will only be updatable by the OAuth2.0 client that created them.
Notes:
- All fields including
linkSecurityand the fields inlinkSecurityare optional.- The
linkSecurityis only configurable for users on accounts with an enterprise license but is still required for team accounts. For more information see here.- If an expiration is provided outside the account defined limits, it will clamp to be the maximum possible time.
- If the
restrictToAccountfield is provided and the document's account defined settings do not allow share links outside the account, it will restrict the share link to be within the account.- Updates to a share link apply automatically to all users who have previously accessed the document via this link. For example, changing the role from
edittocommentwill immediately downgrade access for all linked users. Similarly, changingrestrictToAccounttotruewill instantly revoke access for any external users.
Valid Authentication Methods
OAuth 2.0 User Token Scopes:
- lucidchart.document.content.share.link
- lucidchart.document.app.picker.share.link
- lucidchart.document.app.folder
- lucidscale.document.content.share.link
- lucidscale.document.app.picker.share.link
- lucidscale.document.app.folder
- lucidspark.document.content.share.link
- lucidspark.document.app.picker.share.link
- lucidspark.document.app.folder
400Bad Request if the the document does not belong to an enterprise account and the restrictToAccount is set to true, defines a passcode, or defines an expiration or the allowAnonymous field is set to true on non-Lucidspark/Lucidchart documents.
403Forbidden if the app making the request does not have permission to the document, or if the document has been deleted, or does not exist.
404Not Found if the share link id with the specified document id does not belong to the document, does not exist, or the requesting app did not create the share link.